//packetJSON demo by Andrew Rose
//outputs packet layer information to the console

//Part 1
//1.0: capture packets in wireshark and export as JSON
//1.1: copy and paste json data into web console, assign to a variable
//        ex: var p = [json]
//1.2: type variable name and hit enter, what do you see? 
//1.3: isolate a packet, what properties are there? 
//1.4: locate the layer object in _source, what layers are present?
//1.5: try to access data from a specific layer (*Hint: use brackets ["prop"] instead of .prop)

//must link to p5.dom in index.html for createFileInput
function setup() {
  noCanvas();
  createFileInput(gotFile); //user must select valid wireshark JSON
}

//called whenever a file is selected
function gotFile(file) {
  loadJSON(file.data, parseJSON);
}

//called once JSON is loaded
function parseJSON(data) {
  //look at each packet i in data
  
    //create a layer variable
    
    //store layers in a string variable for later use
  
    //2.1: Print layer information
    
    //2.2: Print layer 1 frame length
    
    //2.3: Print layer 2 ethernet mac addresses: source --> destination
    
    //2.4: Print layer 3 IP addresses: source --> destination (only if present)
    
      //2.5: Print out 4 TCP/UDP port numbers: source --> destination (only if IP layer exists)
}